#Navigate to the directory 'data' that contains the original trajectories (in subdirectory 'input') and will hold the simplified trajectories (in subdirectory 'output'):

cd data/

# Execute the Python script that implements the method against an input CSV file holding the AIS positions of a vessel trajectory:
# Parameter signifies the error tolerance in distance units; in this case, 0.0002 decimal degrees, since all positions are lon/lat coordinates in WGS84. 
# The resulting simplified trajectory will be stored into file 'fbqs228037700.csv'.

python ../code/algorithms/FBQS/amnesic_bubbling.py input/207138000.csv output/fbqs207138000.csv 0.0002

# Use a Python script to estimate RMSE error between the original and the simplified trajectory (both available as .csv files)

python ./../code/utilities/EstimateRMSE.py input/207138000.csv output/fbqs207138000.csv
